%_row-alignment {
  position: relative;
  @include _align-flex(center, flex-start, row);
  height: 50px;

  .league {
    flex: 0 0 30px;
    height: 50px;
    @include _align-flex(center, center);
  }

  .cup {
    flex: 0 0 30px;
    height: 50px;
    @include _align-flex(center, center);
  }

  .date {
    flex: 0 0 50px;
    height: 50px;
    @include _align-flex(center, center);
  }

  .match {
    flex: 1;
    @include _align-flex(center, flex-start);
    padding: 2px 10px;
  }
}

/* ====================================== *\

   show list of games in overview.php

\* ====================================== */
ul.list-overview {
  @include _reset-lists();
  margin-bottom: 30px;

  li {
    @extend %_row-alignment;
    margin-bottom: 2px;
    background: rgba(255, 255, 255, .35);
    text-align: left;

    .league,
    .cup,
    .date {
      @include _font-headline('regular', $color_black);
      @include _font-size($font-size-6);
      background: $color-panel-background;
      border-width: 0 1px 0 0;
      border-style: solid;
    }

    .league {
      border-color: $background-color;
    }

    .cup {
      border-color: $background-color;

      &:before {
        @include _get-icon('cup');
      }
    }

    .date {
      border-color: darken($color-panel-background, 8%);
    }

    .match a {
      display: block;
      width: 100%;
      height: 100%;
      @include _font-paragraph('regular', $color-paragraph);
      @include _font-size($font-size-5);
      line-height: 1.2;
      text-decoration: none;

      &:hover {
        text-decoration: none;
      }
    }

    @include _higlight('uncomplete');
    @include _higlight('live') {
      .league, .cup, .date {
        color: $color_white;
        background: $color-paragraph;
      }

      .date {
        border-color: darken($color-paragraph, 8%);
      }
    };
  }
}